<?php

if (!defined('PmWiki')) exit();

# Assume that pmwiki.php sets variable $ScriptUrl
$ApplicationPathUrl = dirname($ScriptUrl);
$ApplicationPathDir = realpath(dirname(__FILE__) . "/../.");


if (!isset($StaticPageDir)) {$StaticPageDir = "pub/web";} # Needs to be at least of length 1
if (!isset($StaticPageDirToWikiDir)) {$StaticPageDirToWikiDir = "./../..";}
if (!isset($WorkDir)){$WorkDir = 'wiki.d';}
if (!isset($StaticPageGeneratorActionName)){$StaticPageGeneratorActionName = 'StaticPageGenerator';}
if (!isset($StaticPageExclude)){$StaticPageExclude = array();}
if (!isset($StaticPageRegularExpressionExclude)){$StaticPageRegularExpressionExclude = array("/PmWiki\..*/");}

if (!isset($StaticPageSaveActionPageList)){$StaticPageSaveActionPageList = array("Group.RecentChanges");}

if (!isset($StaticPageUpdateOnEditSaveAction)){$StaticPageUpdateOnEditSaveAction = TRUE;}
if (!isset($StaticPageGeneratorPasswordKey)){$StaticPageGeneratorPasswordKey = 'admin';}

if (!isset($ScriptUrlRemoteAddress)){

	$ScriptUrlRemoteAddress = "http";
    if ($_SERVER['HTTPS']=='on'){
    	$ScriptUrlRemoteAddress .= "s";
    }
    $ScriptUrlRemoteAddress .= "://" . $_SERVER['HTTP_HOST'] . ":" . $_SERVER['SERVER_PORT'] . $_SERVER['SCRIPT_NAME'];
}

if (!isset($StaticPageBrowseActionName)){$StaticPageBrowseActionName = 'browseStaticPage';}

if (!isset($HandleBrowseToPossibleStaticPage)){$HandleBrowseToPossibleStaticPage = 'HandleBrowseToPossibleStaticPage'; }

if (!isset($StaticPageDeadLinks)){$StaticPageDeadLinks = array();}

global $action;

# Setup Variable for action
if ($action == $StaticPageBrowseActionName){

	global $ScriptUrl, $PubDirUrl, $ApplicationPathUrl;
	
	if ( ($foundPosn = strpos($ScriptUrl, $ApplicationPathUrl)) !== FALSE){
		$ScriptUrl = substr_replace($ScriptUrl, $StaticPageDirToWikiDir, $foundPosn, strlen($ApplicationPathUrl));
	}
	
	if ( ($foundPosn = strpos($PubDirUrl, $ApplicationPathUrl)) !== FALSE){
		$PubDirUrl = substr_replace($PubDirUrl, $StaticPageDirToWikiDir, $foundPosn, strlen($ApplicationPathUrl));
	}

}

global $pagename;
include_once("StaticPagesFunctions.php");
   
# When a wiki page is saved, update the static page.
if ($StaticPageUpdateOnEditSaveAction){
	global $EditFunctions;
	array_push($EditFunctions, "UpdateStaticPage");
}

# When pmwiki.php?action=$StaticPageGeneratorActionName
global $HandleActions;
if (!isset($HandleActions[$StaticPageGeneratorActionName])){
	$HandleActions[$StaticPageGeneratorActionName] = 'HandleStaticPageGenerator';
} 

global $HandleAuth;
if (!isset($HandleAuth[$StaticPageGeneratorActionName])){
	$HandleAuth[$StaticPageGeneratorActionName] = $StaticPageGeneratorPasswordKey;
}


# When pmwiki.php?action=browseStaticPage
global $HandleActions;
if (!isset($HandleActions[$StaticPageBrowseActionName])){
	$HandleActions[$StaticPageBrowseActionName] = 'HandleBrowseStaticPage';
} 

global $HandleAuth;
if (!isset($HandleAuth[$StaticPageBrowseActionName])){
	$HandleAuth[$StaticPageBrowseActionName] = $StaticPageGeneratorPasswordKey;
}

global $HandleActions;
$HandleActions['browse'] = $HandleBrowseToPossibleStaticPage;


?>
